IRCClient: NSObject(IRCClientChannelDelegate) Class Reference

# NSObject(IRCClientChannelDelegate) Class Reference

Receives delegate messages from an IRCClientChannel. More...

`#import <IRCClientChannelDelegate.h>`

List of all members.

## Public Member Functions
(void) | - onJoin:
(void) | - onPart:reason:
(void) | - onMode:params:nick:
(void) | - onTopic:nick:
(void) | - onKick:reason:byNick:
(void) | - onPrivmsg:nick:
(void) | - onNotice:nick:
(void) | - onAction:nick:

## Detailed Description

Receives delegate messages from an IRCClientChannel.

Each IRCClientChannel object needs a delegate. Delegate methods are called for each event that occurs on an IRC channel that the client is current on.

Note that for any given parameter, it may be optional, in which case a nil object may be supplied instead of the given parameter.

## Member Function Documentation

- (void) onAction: |  | (NSString *) | action
nick: |  | (NSString *) | nick |

Received when an IRC client sends a CTCP ACTION message to the channel. used by lamers with no life to pretend that they are playing some form of MMORPG.

Parameters:

  | action | the action message sent to the channel.
  | nick | the nickname of the IRC client that sent the message.

- (void) onJoin: |  | (NSString *) | nick |  |

When a client joins this channel, the onJoin event is fired. Note that the nickname is most likely in nick!user@host format, but may simply be a nickname, depending on the server implementation.

You should also expect to see this event when the client first joins a channel, with a parameter of the client's nickname.

Parameters:

  | nick | The nickname of the user that joined the channel.

- (void) onKick: |  | (NSString *) | nick
reason: |  | (NSString *) | reason
byNick: |  | (NSString *) | byNick |

Received when an IRC client is kicked from a channel.

Parameters:

  | nick | nickname of the client that was kicked
  | reason | reason message given for the kick
  | byNick | nickname of the client that performed the kick command

- (void) onMode: |  | (NSString *) | mode
params: |  | (NSString *) | params
nick: |  | (NSString *) | nick |

Received when an IRC client changes the channel mode. What modes are available for a given channel is an implementation detail for each server.

Parameters:

  | mode | the new channel mode.
  | params | any parameters with the mode (such as channel key).
  | nick | the nickname of the IRC client that changed the mode.

- (void) onNotice: |  | (NSString *) | notice
nick: |  | (NSString *) | nick |

Received when an IRC client sends a public NOTICE to the channel. Note that the user may not necessarily be required to be on the channel to send a notice to it. Furthermore, the RFC states that the only difference between PRIVMSG and NOTICE is that a NOTICE may never be responded to automatically.

Parameters:

  | notice | the notice sent to the channel.
  | nick | the nickname of the IRC client that sent the notice.

- (void) onPart: |  | (NSString *) | nick
reason: |  | (NSString *) | reason |

When an IRC client parts a channel you are connect to, you will see an onPart event. You will also see this event when you part a channel.

Parameters:

  | nick | (required) The nickname of the user that left the channel.
  | reason | (optional) The reason, if any, that the user gave for leaving.

- (void) onPrivmsg: |  | (NSString *) | message
nick: |  | (NSString *) | nick |

Received when an IRC client sends a public PRIVMSG to the channel. Note that the user may not necessarily be required to be on the channel to send a message to it.

Parameters:

  | message | the message sent to the channel.
  | nick | the nickname of the IRC client that sent the message.

- (void) onTopic: |  | (NSString *) | aTopic
nick: |  | (NSString *) | nick |

Received when the topic is changed for the channel.

Parameters:

  | aTopic | The new topic of the channel.
  | nick | Nickname of the IRC client that changed the topic.

The documentation for this class was generated from the following file:

- IRCClientChannelDelegate.h